com.aliyun.svideosdk.common.struct.project

## Class AudioTrackClip

- java.lang.Object
- - TrackClip
  - - com.aliyun.svideosdk.common.struct.project.AudioTrackClip

-     public class AudioTrackClip
      extends TrackClip

  音频素材片段 v3.23.0 新增

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AudioTrackClip.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioTrackClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Effect>` | `getEffects()` 获取音效列表
    `float` | `getIn()` 获取素材片段相对于素材的切入点。单位：秒，精确到小数点后4位。
    `float` | `getOut()` 获取素材片段相对于素材的切出点。单位：秒，精确到小数点后4位。
    `Source` | `getSource()` 获取音频资源
    `AudioTrackClip.Type` | `getType()` 获取音频片段类型
    `void` | `setIn(float in)` 设置素材片段相对于素材的切入点。单位：秒，精确到小数点后4位。
    `void` | `setOut(float out)` 设置素材片段相对于素材的切出点。单位：秒，精确到小数点后4位。
    `void` | `setSource(Source source)` 设置音频资源
    `void` | `setType(AudioTrackClip.Type type)` 设置音频片段类型

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AudioTrackClip

          public AudioTrackClip()

  - ### Method Detail

    - #### getType

          public AudioTrackClip.Type getType()

      获取音频片段类型
      Returns:
        音频片段类型

    - #### setType

          public void setType(AudioTrackClip.Type type)

      设置音频片段类型
      Parameters:
        `type` - 音频片段类型

    - #### getSource

          public Source getSource()

      获取音频资源
      Returns:
        音频资源

    - #### setSource

          public void setSource(Source source)

      设置音频资源
      Parameters:
        `source` - 音频资源

    - #### getIn

          public float getIn()

      获取素材片段相对于素材的切入点。单位：秒，精确到小数点后4位。
      Returns:
        切入点

    - #### setIn

          public void setIn(float in)

      设置素材片段相对于素材的切入点。单位：秒，精确到小数点后4位。
      Parameters:
        `in` - 切入点

    - #### getOut

          public float getOut()

      获取素材片段相对于素材的切出点。单位：秒，精确到小数点后4位。
      Returns:
        切出点

    - #### setOut

          public void setOut(float out)

      设置素材片段相对于素材的切出点。单位：秒，精确到小数点后4位。
      Parameters:
        `out` - 切出点

    - #### getEffects

          public java.util.List<Effect> getEffects()

      获取音效列表
      Returns:
        音效列表